<? $this->headTitle($this->t('video'), 'PREPEND') ?>
<? if(!empty($this->video)):?>
	<? $this->headLink()->prependStylesheet(_st('video-modal.css')); ?>
	<?// $this->headScript()->prependScript('jwplayer.key="2Jl4iHdNg8jOvK4EtIxZ6XHOcYIYFfWQOP2O9g=="');?>	
	<?// $this->headScript()->prependFile(_st('jwplayer.js'), 'text/javascript'); ?>
	<? $this->headScript()->prependFile(_st('video-modal.js'), 'text/javascript') ?>
<? endif; ?>
	<? $this->headLink()->prependStylesheet(_st('video.css')); ?>
	<? $this->headScript()->appendFile(_st('video-escort_1.js'), 'text/javascript') ?>
	<? $this->headScript()->appendFile(_st('MooUpload.js'), 'text/javascript') ?>
<script type="text/javascript">

window.addEvent('domready', function() {
  
	
	var myUpload = new MooUpload('filecontrol', {
		action: '<?=$this->getLink('my-video'); ?>upload',
		accept: 'video/*',
		method: 'auto',				// Automatic upload method (Choose the best)
		onAddFiles: function(){
			var items = $$('#filecontrol_listView .item');
			if(items.length > 1){
				var close = items[0].getElement('.delete');
				close.fireEvent('click', {
					stop: function(){}
				});
			}
		},
		onFileUpload: function(fileindex, response){ console.log(response)},
		
		onFileProgress: function(percent, stats){
			
		},
		onFileUploadError: function(filenum, response){
			$$('.mooupload_error').appendText(response.error);
		},
		onLoad: function() {			
			document.id('filecontrol').grab(new Element('p', { html: '<strong>Best method detected:</strong> '+this.options.method }), 'bottom');
		}
	});
	
});
</script>

<style>
	#filecontrol_btnAddfile{
		background: rgba(0, 0, 0, 0) url("/img/private/btn_video_browse.png") no-repeat scroll 0 0;
		display: inline-block;
		height: 42px;
		margin: 0 5px 0 0;
		width: 174px;
		border:0;
		cursor:pointer;
	}
	#filecontrol_btnbStart {
		background: rgba(0, 0, 0, 0) url("/img/private/btn_upload.png") no-repeat scroll 0 0;
		display: inline-block;
		height: 41px;
		width: 144px;
		border:0;
		cursor:pointer;
	}
	#filecontrol .item{
		background: #f1f1f1 none repeat scroll 0 0;
		border: medium none;
		color: #696969;
		float: left;
		margin: 0 5px 5px 0;
		padding: 5px;
	}
	#filecontrol .item .delete{
		background: url("/img/private/btn_photo_remove.png") no-repeat;
		display: inline-block;
		height: 8px;
		margin: 5px 5px 0 10px;
		width: 8px;
		cursor:pointer;
	}
	
	#filecontrol_listView{
		margin: 10px 0 0 10px;
	}
	#filecontrol_listView li div {
		float: left;
	}
	#filecontrol_listView li .mooupload_error{
		color: red;
		padding-left: 10px;
	}
	#filecontrol .progresscont {
		color: #535353;
		margin: 10px 0 5px 10px;
	}
	#filecontrol .current-progress {
		background: rgba(0, 0, 0, 0) url("/img/fancy/progress-bar/progress.gif") no-repeat scroll 50% 0;
		margin-right: 0.5em;
		vertical-align: middle;
	}
	
</style>
<div style="overflow: hidden;width: 980px;">
	<div class="leftcol" style="margin-top: 10px;">
		<div id="btn-bar" class="no-border" style="margin-left: 10px;">
			<a class="btn-small fleft" href="<?= $this->getLink('private-v2') ?>">
				<span class="icon-back"><?= __('back') ?></span>
			</a>
		</div>
		<div class="clear"></div>
	</div>

</div>
<input type="hidden" id="trans_rem" value="<?=__('remove_video_confirm')?>" />
<input type="hidden" id="select_video" value="<?=__('select_video')?>" />
<div class="separator_video"></div>
<div class="video_main_block">

	<div  class="video_page" <?if(count($this->video)>=$this->config['VideoCount']): ?>style="display:none;"<?endif; ?>>
		
		<div class="video_upload">
			<div class="video_title"><?= __('video_upload') ?> <?= isset($this->error)?"<span class='video_up_eror'>$this->error</span>":'<span class="video_up_success">'.$this->success.'</span>'?></div>
			<div class="video_uoload_content">
				<p>
					<h2>1) Best upload method</h2>
					Basic example that autodetect the best upload method.
					<div id="filecontrol" class="half"></div>
				</p>
				<div class="clear"></div>
			</div>
		</div>
	</div>

	<? if(!empty($this->video)):?>
	<form method="Post"  id="edit_video" config="<?=$this->config['Media']?><?=$this->host?>/<?= $this->escort_id ?>/" action="<?=$this->getLink('my-video'); ?>remove">
		<ul class="main">
			<? 	foreach($this->video AS $video) :$bool=true;  ?>
			<li>
				<span><input type="checkbox" name="check[]" class="checked" value="<?= $video['id'] ?>" /></span>
				<?  if($video['status'] != 'approve'):?> <strong><?=$video['status'] == 'pending'? __("pending"): __("disabled"); ?></strong><? endif;?>
				<ul class="video">
					
					<? if(count($this->photo) > 0): ?>	
						<? foreach($this->photo as $photo): ?>
						<?  if($video['id'] == $photo['video_id'] ) : ?>
								<? $app_id = Cubix_Application::getId();
								$photo['application_id'] = $app_id;						
								$photo = new Cubix_ImagesCommonItem($photo); ?>
								<li  <? if($bool): ?> class="current" id="video_<?= $video['id'] ?>" <? endif; ?>>
									<img owidth="<?= $photo['width'] ?>" rel="<?= $video['video'] ?>" oheight="<?=$photo['height'] ?>" width="300" align="left" src="<?= $photo->getUrl('m320') ?>"  />										
									<? if($bool): ?><span class="video_play_btn"></span><? endif; ?>
								</li>
						<? $bool=false; endif; ?>
						<? endforeach;  ?>
					<? else: ?>
						<li class="current" id="video_<?= $video['id'] ?>">
							<img owidth="640" rel="<?= $video['video'] ?>" oheight="480" width="300" align="left" src="<?= _st('video/video_back_logo.jpg') ?>"  />										
							<span class="video_play_btn"></span>
						</li>	
					<? endif; ?>				
				</ul>
			</li>
			<? endforeach; ?>
		</ul>
			<div class="no-border">
				<a class="btn-small" id="remove" href="javascript:void(0);"><?= __('remove') ?></a>
			</div>
	</form>
	<? endif; ?>
</div>
<div id="video_loader"></div>
